﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DepPropDemo
{
    /// <summary>
    /// Interaction logic for AddPresenceDialog.xaml
    /// </summary>
    public partial class AddPresenceDialog : Window
    {
        public Presence Presence { get; set; }

        public DateTime DateTimeProperty
        {
            get { return (DateTime)GetValue(DateTimePropertyProperty); }
            set { SetValue(DateTimePropertyProperty, value); }
        }

        // Using a DependencyProperty as the backing store for DateTimeProperty.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty DateTimePropertyProperty =
            DependencyProperty.Register("DateTimeProperty", typeof(DateTime), typeof(AddPresenceDialog), new PropertyMetadata(DateTime.Now, FromDateTimeChanged));

        private static void FromDateTimeChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            AddPresenceDialog dialog = (AddPresenceDialog)d;
            dialog.ToDatePicker.DisplayDateStart = dialog.DateTimeProperty;

        }

        public AddPresenceDialog()
        {
            DateTime current = DateTime.Now;
            DateTimeProperty = current;
            InitializeComponent();
        }

        private void OK_Click(object sender, RoutedEventArgs e)
        {
            Presence = new Presence();
            Presence.From = FromDatePicker.SelectedDate.Value;
            Presence.To = ToDatePicker.SelectedDate.Value;
            DialogResult = true;
        }

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }
    }
}
