﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DepPropDemo
{
    public class Presence
    {
        public DateTime From { get; set; }
        public DateTime To { get; set; }

        public Presence()
        {
            From = DateTime.Now;
            To = From;
        }

        public Presence(string PresenceLine)
        {
            string[] parts = PresenceLine.Split(';');
            if (parts.Count() != 2)
            {
                throw new Exception("Invalid line format");
            }
            From = DateTime.Parse(parts[0]);
            To = DateTime.Parse(parts[1]);
        }

        public override string ToString()
        {
            return string.Format("{0}-{1}", From, To) ;
        }

        public string CSVFormat()
        {
            return string.Format("{0};{1}", From, To);
        }
    }
}
